package libglade2.0-cil 2.12.10-2ubuntu4 failed to install/upgrade: subprocess installed post-removal script returned error exit status 1

Bug #1014612 reported by Niel Archer on 2012-06-18
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gtk-sharp2 (Ubuntu)
Undecided
Unassigned

Bug Description

trying to fix mono after software centre broke things

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: libglade2.0-cil 2.12.10-2ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
Uname: Linux 3.2.0-25-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
Date: Mon Jun 18 12:43:19 2012
DpkgTerminalLog:
 Removing libglade2.0-cil ...
 E: File does not exist: /usr/share/cli-common/packages.d/policy.2.8.glade-sharp.installcligac
 dpkg: error processing libglade2.0-cil (--purge):
  subprocess installed post-removal script returned error exit status 1
ErrorMessage: subprocess installed post-removal script returned error exit status 1
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64+mac (20120425.1)
SourcePackage: gtk-sharp2
Title: package libglade2.0-cil 2.12.10-2ubuntu4 failed to install/upgrade: subprocess installed post-removal script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Niel Archer (niel-archer) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gtk-sharp2 (Ubuntu):
status: New → Confirmed
Philippe Coval (rzr) wrote :

This is also affecting debian

I workarounded that way :

root@nuc:~# mv /var/lib/dpkg/info/libglade2.0-cil.postrm /var/lib/dpkg/info/libglade2.0-cil.postrm.tmp
root@nuc:~# dpkg -r libglade2.0-cil
(Reading database ... 482619 files and directories currently installed.)
Removing libglade2.0-cil (2.12.10-5) ...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers